ruby-validatable_1.6.7-10_all.deb


Advertisement

Description

ruby-validatable - Ruby library for adding validations

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-validatable
Package version: 1.6.7
Package release: 10
Package architecture: all
Package type: deb
Installed size: 94 B
Download size: 11.45 KB
Official Mirror: archive.ubuntu.com
The validatable library can be included with any Ruby class and provide ActiveRecord looking validations. The library follows ActiveRecord's lead for features that are similar and introduce new features.

Alternatives

    Download

    Source package: ruby-validatable

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-validatable deb package:
      # sudo apt-get install ruby-validatable

    Files

    • /usr/lib/ruby/vendor_ruby/validatable.rb
    • /usr/lib/ruby/vendor_ruby/validatable/child_validation.rb
    • /usr/lib/ruby/vendor_ruby/validatable/errors.rb
    • /usr/lib/ruby/vendor_ruby/validatable/included_validation.rb
    • /usr/lib/ruby/vendor_ruby/validatable/macros.rb
    • /usr/lib/ruby/vendor_ruby/validatable/object_extension.rb
    • /usr/lib/ruby/vendor_ruby/validatable/requireable.rb
    • /usr/lib/ruby/vendor_ruby/validatable/understandable.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validatable_class_methods.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validatable_instance_methods.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_acceptance_of.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_confirmation_of.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_each.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_format_of.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_length_of.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_numericality_of.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_presence_of.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validates_true_for.rb
    • /usr/lib/ruby/vendor_ruby/validatable/validations/validation_base.rb
    • /usr/share/doc/ruby-validatable/README
    • /usr/share/doc/ruby-validatable/TODO.Debian
    • /usr/share/doc/ruby-validatable/changelog.Debian.gz
    • /usr/share/doc/ruby-validatable/copyright
    • /usr/share/rubygems-integration/all/specifications/validatable-1.6.7.gemspec

    Changelog

    2014-10-14 - Cédric Boutillier <boutil@debian.org> ruby-validatable (1.6.7-10) unstable; urgency=medium * reupload to update rubygems-integration metadata * debian/control: + remove obsolete DM-Upload-Allowed flag + use canonical URI in Vcs-* fields + remove transitional packages (Closes: #735735) + bump Standards-Version to 3.9.6 * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format field

    2012-06-24 - Vincent Fourmond <fourmond@debian.org> ruby-validatable (1.6.7-9) unstable; urgency=low * Team upload. * Rebuild with newer gem2deb

    2012-06-13 - Cédric Boutillier <cedric.boutillier@gmail.com> ruby-validatable (1.6.7-8) unstable; urgency=high * Move secondary Ruby files into /usr/lib/ruby/vendor_ruby/validatable/ to avoid name clash (Closes: #673738). + override dh_install in rules to move the files + add debian/patches/move_some_rb_files_to_lib_validatable.patch to adapt require statements * Set urgency to high, as this version solves an RC bug * Adapt versions in Breaks: and Replaces: fields to match the last version of the package not following the new Ruby policy.

    2012-05-19 - Cédric Boutillier <cedric.boutillier@gmail.com> ruby-validatable (1.6.7-7) unstable; urgency=low * Transition to new Ruby policy + renaming source and binary packages + using gem2deb packaging tool * Add myself to Uploaders: * Bump Standards-Version: to 3.9.3 (no particular changes needed) * Convert copyright file to DEP-5 * Deactivate tests (needs ruby-expectations, unpackaged) * Override lintian warning about duplicate descriptions of transitional packages

    2010-02-21 - Deepak Tripathi <apenguinlinux@gmail.com> libvalidatable-ruby (1.6.7-6) unstable; urgency=low * Taking over from Sebestien. * Keeping under pkg-ruby-extras group. * Added test for ruby1.9.1 and remove comments + Changes in debian/rules * Removed unnecessary file from debian/ * Added Homepage and Vcs-* entry + Changes in debian/control

    2010-02-16 - Sebastien Delafond <seb@debian.org> libvalidatable-ruby (1.6.7-5) unstable; urgency=low * Move to ruby1.9.1 (Closes: #569870). * Bumped up Standards-Version. * Removed unused lintian override.

    2009-10-19 - Sebastien Delafond <seb@debian.org> libvalidatable-ruby (1.6.7-4) unstable; urgency=low * Lintian cleanups. * Bumped up Standards revision. * Moved to cdbs.

    2008-09-17 - Sebastien Delafond <seb@debian.org> libvalidatable-ruby (1.6.7-3) unstable; urgency=low * Updated description to actually describe validatable (Closes: #499210).

    2008-09-16 - Sebastien Delafond <seb@debian.org> libvalidatable-ruby (1.6.7-2) unstable; urgency=low * Updated description and dependencies to reflect that we are in fact not using ruby inline (Closes: #499210). * Bumped up Standards-Version. * Added debian/watch file.

    2008-05-12 - Sebastien Delafond <seb@debian.org> libvalidatable-ruby (1.6.7-1) unstable; urgency=low * Initial Release (Closes: #480966).

    Advertisement
    Advertisement